"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CharacterService = void 0;
const common_1 = require("@nestjs/common");
const prisma_service_1 = require("../prisma/prisma.service");
let CharacterService = class CharacterService {
    constructor(prisma) {
        this.prisma = prisma;
    }
    async getAllCharacter() {
        const allCharacter = await this.prisma.character.findMany();
        return allCharacter;
    }
    async getCharacterByName(name) {
        const character = await this.prisma.character.findUnique({
            where: {
                name: name,
            },
        });
        return character;
    }
    async saveCharacter(characters) {
        for (let i = 0; i < characters.length; i++) {
            await this.prisma.character.create({
                data: {
                    name: characters[i]['name'],
                    afflatus: characters[i]['afflatus'],
                    rarity: characters[i]['rarity'],
                    damage_type: characters[i]['damage_type'],
                    position: characters[i]['position'],
                },
            });
        }
        return 'complete';
    }
};
exports.CharacterService = CharacterService;
exports.CharacterService = CharacterService = __decorate([
    (0, common_1.Injectable)(),
    __metadata("design:paramtypes", [prisma_service_1.PrismaService])
], CharacterService);
//# sourceMappingURL=character.service.js.map