"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.StatService = void 0;
const common_1 = require("@nestjs/common");
const prisma_service_1 = require("../prisma/prisma.service");
let StatService = class StatService {
    constructor(prisma) {
        this.prisma = prisma;
    }
    async getStatByCharacter(name) {
        const stat = await this.prisma.stat.findUnique({
            where: {
                character_name: name,
            },
        });
        return stat;
    }
    async saveStat(stats) {
        for (let i = 0; stats.length; i++) {
            await this.prisma.stat.create({
                data: {
                    character_name: stats[i]['character_name'],
                    atk: stats[i]['atk'],
                    hp: stats[i]['hp'],
                    reality_def: stats[i]['reality_def'],
                    mental_def: stats[i]['mental_def'],
                    critical_technique: stats[i]['critical_technique'],
                    critical_rate: stats[i]['critical_rate'],
                    critical_damage: stats[i]['critical_damage'],
                },
            });
        }
        return 'complete';
    }
};
exports.StatService = StatService;
exports.StatService = StatService = __decorate([
    (0, common_1.Injectable)(),
    __metadata("design:paramtypes", [prisma_service_1.PrismaService])
], StatService);
//# sourceMappingURL=stat.service.js.map